petsc-3.4.2 2013-07-02

# MatCUSPARSEStorageFormat

indicates the storage format for CUSPARSE (GPU) matrices. Requires the txpetscgpu package to use. Configure with --download-txpetscgpu to build/install petsc with the txpetscgpu library.

### Synopsis

    typedef enum {MAT_CUSPARSE_CSR, MAT_CUSPARSE_ELL, MAT_CUSPARSE_HYB} MatCUSPARSEStorageFormat;

Not Collective

| MAT_CUSPARSE_CSR | - Compressed Sparse Row
| MAT_CUSPARSE_ELL | - Ellpack
| MAT_CUSPARSE_HYB | - Hybrid, a combination of Ellpack and Coordinate format.

Any additions/changes here MUST also be made in include/finclude/petscmat.h

### See Also

MatCUSPARSESetFormat(), MatCUSPARSEFormatOperation

Level:intermediate
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages